server:
  port: 10507
spring:
  application:
    name: game-gs-data
  profiles:
    active: dev
  cloud:
    nacos:
      discovery:
        namespace: LOCAL_game
        server-addr: 118.178.187.109:8848
      config:
        namespace: LOCAL_game
        server-addr: 118.178.187.109:8848
        file-extension: yml
        group: GAME
        max-retry: 10
  redis:
    host: 118.178.187.109
    port: 6379
    password: zx$2020ddd
    database: 10
  jackson:
    time-zone: GMT+8
    date-format: yyyy-MM-dd HH:mm:ss
    # default-property-inclusion: NON_EMPTY
mybatis-flex:
  configuration:
    log-impl: org.apache.ibatis.logging.stdout.StdOutImpl
  datasource:
    game_order:
      driver-class-name: com.mysql.cj.jdbc.Driver
      url: jdbc:mysql://47.97.114.164:9030/dm_game_order?useUnicode=true&characterEncoding=utf8&zeroDateTimeBehavior=convertToNull&useSSL=true&serverTimezone=GMT%2B8
      username: root
      password: Qc@game123.
      hikari:
        minimum-idle: 5
        maximum-pool-size: 50
    dm_erp:
      driver-class-name: com.mysql.cj.jdbc.Driver
      url: jdbc:mysql://47.97.114.164:9030/dm_erp?useUnicode=true&characterEncoding=utf8&zeroDateTimeBehavior=convertToNull&useSSL=true&serverTimezone=GMT%2B8
      username: root
      password: Qc@game123.
      hikari:
        minimum-idle: 5
        maximum-pool-size: 50
    game_ads_parent:
      driver-class-name: com.mysql.cj.jdbc.Driver
      url: jdbc:mysql://47.97.114.164:9030/game_ads_parent?useUnicode=true&characterEncoding=utf8&zeroDateTimeBehavior=convertToNull&useSSL=true&serverTimezone=GMT%2B8
      username: root
      password: Qc@game123.
      hikari:
        minimum-idle: 5
        maximum-pool-size: 50
    game_dw_parent:
      driver-class-name: com.mysql.cj.jdbc.Driver
      url: jdbc:mysql://47.97.114.164:9030/game_dw_parent?useUnicode=true&characterEncoding=utf8&zeroDateTimeBehavior=convertToNull&useSSL=true&serverTimezone=GMT%2B8
      username: root
      password: Qc@game123.
      hikari:
        minimum-idle: 5
        maximum-pool-size: 50
  type-aliases-package: com.zanxiang.game.gs.data.serve.pojo.entity
  mapper-locations: classpath:mapper/**/*.xml
  global-config:
    logic-delete-column: deleted
    normal-value-of-logic-delete: false
    deleted-value-of-logic-delete: true
logging:
  level:
    root: info
    com.zanxiang.game.gs.data.serve.dao.mapper: info
dubbo:
  application:
    name: game-gs-data-dubbo
    register-mode: instance
    qos-enable: false
    qos-accept-foreign-ip: false
    qos-port: -1
    metadata-type: local
    metadata-service-protocol: dubbo
    metadata-service-port: -1
    logger: slf4j
  registry:
    address: nacos://118.178.187.109:8848?registry-type=service
    timeout: 3000
    parameters:
      namespace: LOCAL_game
    group: GAME
    use-as-metadata-center: false
    use-as-config-center: false
  protocol:
    name: tri
    port: -1
  consumer:
    check: false